Bug 241287 - emulators/fs-uae: Update to 3.0.0, Take MAINTAINER'ship
Summary: emulators/fs-uae: Update to 3.0.0, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL: https://fs-uae.net/2019/06/22/fs-uae-...
Keywords: buildisok
Depends on:
Blocks: 241266
  Show dependency treegraph
 
Reported: 2019-10-15 20:36 UTC by sirdice
Modified: 2019-10-16 21:42 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
svn diff update to 3.0.0 (1.38 KB, patch)
2019-10-15 20:36 UTC, sirdice
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sirdice 2019-10-15 20:36:30 UTC
Created attachment 208356 [details]
svn diff update to 3.0.0

This patch updates emulators/fs-uae to version 3.0.0 and fixes a build error by patching two files, replacing bind() with ::bind(). 

I would also like to take maintainership of the port, the current maintainer doesn't have the time or the resources any more and wants to relinquish it, see PR 241266. This patch includes the maintainer change.

Changelog: https://fs-uae.net/2019/06/22/fs-uae-3-0-released
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-16 02:02:42 UTC
^Triage: Build fix, MFH
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-16 02:04:07 UTC
Comment on attachment 208356 [details]
svn diff update to 3.0.0

Approved by: <tomse oagd net> (maintainer, via bug 241266)

@Committer Please include PR: 241266 in commit log message
Comment 3 Mikael Urankar freebsd_committer 2019-10-16 06:58:47 UTC
you can simplify post-patch:
post-patch:
       @${REINPLACE_CMD} -e 's|= bind|= ::bind|' \
               ${WRKSRC}/src/od-fs/bsdsocket_posix.cpp \
               ${WRKSRC}/src/support/socket.cpp
Comment 4 commit-hook freebsd_committer 2019-10-16 21:41:54 UTC
A commit references this bug:

Author: swills
Date: Wed Oct 16 21:41:12 UTC 2019
New revision: 514615
URL: https://svnweb.freebsd.org/changeset/ports/514615

Log:
  emulators/fs-uae: Update to 3.0.0

  While here, pass maintainership to submitter

  PR:		241287
  PR:		241266
  Submitted by:	sirdice@gmail.com
  Approved by:	tomse@tomse.dk (maintainer)

Changes:
  head/emulators/fs-uae/Makefile
  head/emulators/fs-uae/distinfo
Comment 5 Steve Wills freebsd_committer 2019-10-16 21:42:18 UTC
Committed, thanks!